import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const store = new Vuex.Store({
	state: {
		//公共的变量，这里的变量不能随便修改，只能通过触发mutations的方法才能改变
	},
	mutations: {
		//相当于同步的操作
		//点击确认
		subscribesuccess(state) {
			wx.requestSubscribeMessage({
				tmplIds: [
					'-IxZeEkkXFhoSwGtBHbipKQ6kjEmkdTkswKeOypSsNQ',
					'e1JRZaw1OfTz2b6X9DTqqaJtV4rXEt7uhwXoZLDb_eA',
					'nUB9HRbqQXOVuTpkKBIHMgzWlNq6touzxf5QYBiMkbU',
				],
				success(res) {},
				fail(err) {},
				complete(scc) {}
			})
		},
		integralsubscribesuccess(state) {
			wx.requestSubscribeMessage({
				tmplIds: [
					'S_c9bR4znSWpXg-6ACIMn7AkaR11dzo113XM8w4CKz0'
				],
				success(res) {},
				fail(err) {},
				complete(scc) {}
			})
		},
	},
	actions: {
		//相当于异步的操作,不能直接改变state的值，只能通过触发mutations的方法才能改变
		integralopenPopup(contxt) {
			// 获取用户的当前设置，判断是否点击了“总是保持以上，不在询问”
			wx.getSetting({
				withSubscriptions: true, // 是否获取用户订阅消息的订阅状态，默认false不返回
				success(res) {
					if (res.authSetting['scope.subscribeMessage']) {} else {
						//因为没有选择总是保持，所以需要调起授权弹窗再次授权
						contxt.commit('integralsubscribesuccess')
					}
				}
			})
		},
		// 是否设置过授权
		openPopup(contxt) {
			// 获取用户的当前设置，判断是否点击了“总是保持以上，不在询问”
			wx.getSetting({
				withSubscriptions: true, // 是否获取用户订阅消息的订阅状态，默认false不返回
				success(res) {
					if (res.authSetting['scope.subscribeMessage']) {} else {
						//因为没有选择总是保持，所以需要调起授权弹窗再次授权
						contxt.commit('subscribesuccess')
					}
				}
			})
		},
	}
})
export default store
